PSW_RGB_IMAGE(3)

FUNCTION
psw_rgb_image - Write a truecolour image to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_image

(PostScriptPage pspage, CONST unsigned char *image_reds, CONST unsigned char *image_greens, CONST unsigned char *image_blues, unsigned int xlen, unsigned int ylen, CONST uaddr *xoffsets_red, CONST uaddr *yoffsets_red, CONST uaddr *xoffsets_green, CONST uaddr *yoffsets_green, CONST uaddr *xoffsets_blue, CONST uaddr *yoffsets_blue, uaddr stride, double xstart, double ystart, double xend, double yend)

DESCRIPTION
Write a truecolour image to a PostScriptPage object.

pspage
    The PostScriptPage object.

image_red
    The red component image.

image_green
    The green component image.

image_blue
    The blue component image.

xlen
    The horizontal size of the image (in pixels).

ylen
    The vertical size of the image (in pixels).

xoffsets_red
    The horizontal offset array for the red component image. If this is NULL, the image data is assumed to be contiguous in memory.

yoffsets_red
    The vertical offset array for the red component image. If this is NULL, the image data is assumed to be contiguous in memory.

xoffsets_green
    The horizontal offset array for the green component image. If this is NULL, the image data is assumed to be contiguous in memory.

yoffsets_green
    The vertical offset array for the green component image. If this is NULL, the image data is assumed to be contiguous in memory.

xoffsets_blue
    The horizontal offset array for the blue component image. If this is NULL, the image data is assumed to be contiguous in memory.

yoffsets_blue
    The vertical offset array for the blue component image. If this is NULL, the image data is assumed to be contiguous in memory.

stride
    The stride of successive component values. This is ignored if both offset arrays are supplied for a component image.

xstart
    The x starting point (scaled from 0.0 to 1.0).

ystart
    The y starting point (scaled from 0.0 to 1.0).

xend
    The x ending point (scaled from 0.0 to 1.0).

yend
    The y ending point (scaled from 0.0 to 1.0).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/